#
# spec file for package freealut
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           freealut
%define lname	libalut0
Version:        1.1.0
Release:        235.3
Summary:        freealut is a free implementation of OpenAL's ALUT standard
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Url:            http://connect.creativelabs.com/openal/default.aspx
Source:         %{name}-%{version}.tar.bz2
Source2:        baselibs.conf
# PATCH-FIX-UPSTREAM freealut-noansiflag.patch
Patch0:         freealut-noansiflag.patch
BuildRequires:  autoconf >= 2.60
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(openal)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
freealut is a free implementation of OpenAL's ALUT standard.

%package -n %lname
Summary:        freealut is a free implementation of OpenAL's ALUT standard
Group:          System/Libraries
# O/P added in 12.3
Provides:       freealut = %{version}-%{release}
Obsoletes:      freealut < %{version}-%{release}

%description -n %lname
freealut is a free implementation of OpenAL's ALUT standard.

%package devel
Summary:        Static libraries, header files and tests for openal library
Group:          Development/Libraries/C and C++
Requires:       %lname = %{version}
Requires:       glibc-devel

%description devel
OpenAL is an audio library designed in the spirit of OpenGL - machine
independent, cross platform, and data format neutral, with a clean,
simple C-based API.

%prep
%setup -q
%patch0

%build
autoreconf -fiv
%configure --disable-static --with-pic
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
rm %{buildroot}%{_libdir}/*.la

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libalut.so.0*

%files devel
%defattr(-,root,root)
%{_bindir}/*-config
%{_includedir}/AL
%{_libdir}/libalut.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Jan  6 2013 reddwarf@opensuse.org
- Removed absurd libopenal1 BuildRequires
- Use pkgconfig(openal) BuildRequires instead of the package name
- Removed openal:/usr/include/AL/alut.h Provides from very old
  package split
- Delete manual -devel requirement specification since they are
  added automatically through rpm/pkgconfig magic
* Wed Dec 26 2012 joop.boonen@opensuse.org
- openal-devel is now called openal-soft-devel
- cleaned the spec file a bit up
* Sun Nov 25 2012 jengelh@inai.de
- Employ shared library packaging guidelines
- Parallel build with %%_smp_mflags
- Require pkgconfig so that automatic Provides work
- Remove redundant sections/tags from specfile
* Thu May 10 2012 crrodriguez@opensuse.org
- Do not use -ansi as default dialect.
* Tue Dec 20 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Fri Dec 18 2009 jengelh@medozas.de
- Package baselibs.conf file
* Mon May 18 2009 cmorve69@yahoo.es
- Add baselibs.conf file
* Thu Jan  8 2009 crrodriguez@suse.de
- supress static libraries
* Tue Oct 31 2006 meissner@suse.de
- use RPM_OPT_FLAGS
* Mon Oct 23 2006 ro@suse.de
- created package (branch from openal)
- added split-provides from openal-devel
